POSTeth_getUncleByBlockNumberAndIndex

Returns the uncle block information for the specified block number and uncle index.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Pass the following parameters as an array with the appropriate types.

  1. block number or block tag: Block number as hex string, or block tag such as "earliest", "latest", "pending".
  2. uncle index: The uncle index as a hex string.
params[0]string

Use one of block number or block tag to specify a block.

  • Block number: hex string (ex. "0x1")
  • Block tag: enum string (ex. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
params[1]string

Use one of block number or block tag to specify a block.

  • Block number: hex string (ex. "0x1")
  • Block tag: enum string (ex. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses
baseFeePerGasstring

Base fee per gas (EIP-1559, hex in wei)

difficultystring

Mining difficulty of the block (hex)

extraDatastring

Arbitrary extra data added by the miner (hex)

gasLimitstring

Maximum total gas allowed in this block (hex)

gasUsedstring

Total gas used by all transactions in this block (hex)

hashstring

Block hash

logsBloomstring

Bloom filter for event log search (2048 bits, hex)

minerstring

Address of the block miner

mixHashstring

Mix hash used in proof-of-work

noncestring

Nonce used in proof-of-work (hex)

numberstring

Block number (hex)

parentHashstring

Hash of the parent block

receiptsRootstring

Root hash of the transaction receipts trie

sha3Unclesstring

SHA3 hash of the uncles list

sizestring

Block size in bytes (hex)

stateRootstring

Root hash of the state trie

timestampstring

Block creation time (Unix timestamp, hex)

totalDifficultystring

Cumulative difficulty from genesis to this block (hex)

transactionsoneOf

Transactions in this block. Returns hash array or full objects depending on includeTransactions parameter.

array 1string[]
array 2object[]
transactionsRootstring

Root hash of the transactions trie

unclesstring[]

Array of uncle block hashes

indexstring

Withdrawal index (hex)

validatorIndexstring

Validator index (hex)

addressstring

Withdrawal recipient address

amountstring

Withdrawal amount (in Gwei, hex)

withdrawalsRootstring

Root hash of the withdrawals trie (EIP-4895)

X-API-KEY
RequestCU13
cURL
curl -X POST "https://ethereum-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "eth_getUncleByBlockNumberAndIndex",
  "params": [
    "0x5BAD54",
    "0x0"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "difficulty": "0xbf93d9424b943",
    "extraData": "0x73656f33",
    "gasLimit": "0x7a121d",
    "gasUsed": "0x7936f4",
    "hash": "0x407116a0f58ad370ac6c45813665988903f4c60ecc2f112d55cbf43a8c33f48e",
    "logsBloom": "0x804e00000660061481081001000002000804080b1012106100a001010248430040000008104c0200200003020070104a00008404000000c2c00010010304410000148c2019288401020881090040243240312000b80c2084a111c2010221081042004400028c2880a000104810004a1000208001240000000088011002200000048024000140004894689004026980000588001040a02000828400480302010020008060208084084e20020054428d20800245122410000040000000020004000420000204101200620000010050080c1540000080008114210003cc0200610400801c0300640000630500880a40820400241010441000420a504001048008a5",
    "miner": "0xb2930b35844a230f00e51431acae96fe543a0347",
    "mixHash": "0xb1266ba0d3c68a5561e6f62a819d214d9eaa293312f674f3a44ad7fae5e6740d",
    "nonce": "0x6b5afb9416a32721",
    "number": "0x5bad53",
    "parentHash": "0xd2f7edf95b79d2a7e994f698d1ea1737642de0bd49138d183bcc3d1ecf9792e4",
    "receiptsRoot": "0xc2798ebd620a7dee020ba272d4396a60a68de6ce5f52b22770e9fee2e14ff15a",
    "sha3Uncles": "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347",
    "size": "0x20d",
    "stateRoot": "0x9a57583eeb63556158cdda05f188ff1dffa1a1cfde194d026f2719e69edf2a9d",
    "timestamp": "0x5b541431",
    "transactionsRoot": "0x11447f3cc960e33ecca21d2b1ca08b6b5a7e478c35920ad1159c9332c0f9332c",
    "uncles": []
  }
}